<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "consulta_2019info.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$consulta_2019_edit = NULL; // Initialize page object first

class cconsulta_2019_edit extends cconsulta_2019 {

	// Page ID
	var $PageID = 'edit';

	// Project ID
	var $ProjectID = "{612F4CEC-277D-477B-ABAC-2B8738F52202}";

	// Table name
	var $TableName = 'consulta_2019';

	// Page object name
	var $PageObjName = 'consulta_2019_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (consulta_2019)
		if (!isset($GLOBALS["consulta_2019"]) || get_class($GLOBALS["consulta_2019"]) == "cconsulta_2019") {
			$GLOBALS["consulta_2019"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["consulta_2019"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'consulta_2019', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->Id_tabla->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Process auto fill
		if (@$_POST["ajax"] == "autofill") {
			$results = $this->GetAutoFill(@$_POST["name"], @$_POST["q"]);
			if ($results) {

				// Clean output buffer
				if (!EW_DEBUG_ENABLED && ob_get_length())
					ob_end_clean();
				echo $results;
				$this->Page_Terminate();
				exit();
			}
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $consulta_2019;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($consulta_2019);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $FormClassName = "form-horizontal ewForm ewEditForm";
	var $DbMasterFilter;
	var $DbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Load key from QueryString
		if (@$_GET["Id_tabla"] <> "") {
			$this->Id_tabla->setQueryStringValue($_GET["Id_tabla"]);
		}

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Process form if post back
		if (@$_POST["a_edit"] <> "") {
			$this->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values
		} else {
			$this->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($this->Id_tabla->CurrentValue == "")
			$this->Page_Terminate("consulta_2019list.php"); // Invalid key, return to list

		// Validate form if post back
		if (@$_POST["a_edit"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = ""; // Form error, reset action
				$this->setFailureMessage($gsFormError);
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		}
		switch ($this->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("consulta_2019list.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$sReturnUrl = $this->getReturnUrl();
				if (ew_GetPageName($sReturnUrl) == "consulta_2019list.php")
					$sReturnUrl = $this->AddMasterUrl($sReturnUrl); // List page, return to list page with correct master key if necessary
				$this->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("UpdateSuccess")); // Update success
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} elseif ($this->getFailureMessage() == $Language->Phrase("NoRecord")) {
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$this->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $Language;

		// Get upload data
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->Id_tabla->FldIsDetailKey)
			$this->Id_tabla->setFormValue($objForm->GetValue("x_Id_tabla"));
		if (!$this->Codigo_prestador->FldIsDetailKey) {
			$this->Codigo_prestador->setFormValue($objForm->GetValue("x_Codigo_prestador"));
		}
		if (!$this->Tipo_id_usuario->FldIsDetailKey) {
			$this->Tipo_id_usuario->setFormValue($objForm->GetValue("x_Tipo_id_usuario"));
		}
		if (!$this->Numero_id_usuario->FldIsDetailKey) {
			$this->Numero_id_usuario->setFormValue($objForm->GetValue("x_Numero_id_usuario"));
		}
		if (!$this->Fecha_consulta->FldIsDetailKey) {
			$this->Fecha_consulta->setFormValue($objForm->GetValue("x_Fecha_consulta"));
		}
		if (!$this->Finalidad_consulta->FldIsDetailKey) {
			$this->Finalidad_consulta->setFormValue($objForm->GetValue("x_Finalidad_consulta"));
		}
		if (!$this->Causa_externa->FldIsDetailKey) {
			$this->Causa_externa->setFormValue($objForm->GetValue("x_Causa_externa"));
		}
		if (!$this->Codigo_diagnostico->FldIsDetailKey) {
			$this->Codigo_diagnostico->setFormValue($objForm->GetValue("x_Codigo_diagnostico"));
		}
		if (!$this->Tipo_doc->FldIsDetailKey) {
			$this->Tipo_doc->setFormValue($objForm->GetValue("x_Tipo_doc"));
		}
		if (!$this->Edad->FldIsDetailKey) {
			$this->Edad->setFormValue($objForm->GetValue("x_Edad"));
		}
		if (!$this->Unidad_edad->FldIsDetailKey) {
			$this->Unidad_edad->setFormValue($objForm->GetValue("x_Unidad_edad"));
		}
		if (!$this->Sexo->FldIsDetailKey) {
			$this->Sexo->setFormValue($objForm->GetValue("x_Sexo"));
		}
		if (!$this->Zona_residencia->FldIsDetailKey) {
			$this->Zona_residencia->setFormValue($objForm->GetValue("x_Zona_residencia"));
		}
		if (!$this->Codigo_eps->FldIsDetailKey) {
			$this->Codigo_eps->setFormValue($objForm->GetValue("x_Codigo_eps"));
		}
		if (!$this->Tipo_Usuario->FldIsDetailKey) {
			$this->Tipo_Usuario->setFormValue($objForm->GetValue("x_Tipo_Usuario"));
		}
		if (!$this->Causa_Completa->FldIsDetailKey) {
			$this->Causa_Completa->setFormValue($objForm->GetValue("x_Causa_Completa"));
		}
		if (!$this->Letra->FldIsDetailKey) {
			$this->Letra->setFormValue($objForm->GetValue("x_Letra"));
		}
		if (!$this->Numero->FldIsDetailKey) {
			$this->Numero->setFormValue($objForm->GetValue("x_Numero"));
		}
		if (!$this->Codigo_tres->FldIsDetailKey) {
			$this->Codigo_tres->setFormValue($objForm->GetValue("x_Codigo_tres"));
		}
		if (!$this->Titulo_codigo_tres->FldIsDetailKey) {
			$this->Titulo_codigo_tres->setFormValue($objForm->GetValue("x_Titulo_codigo_tres"));
		}
		if (!$this->Contador->FldIsDetailKey) {
			$this->Contador->setFormValue($objForm->GetValue("x_Contador"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadRow();
		$this->Id_tabla->CurrentValue = $this->Id_tabla->FormValue;
		$this->Codigo_prestador->CurrentValue = $this->Codigo_prestador->FormValue;
		$this->Tipo_id_usuario->CurrentValue = $this->Tipo_id_usuario->FormValue;
		$this->Numero_id_usuario->CurrentValue = $this->Numero_id_usuario->FormValue;
		$this->Fecha_consulta->CurrentValue = $this->Fecha_consulta->FormValue;
		$this->Finalidad_consulta->CurrentValue = $this->Finalidad_consulta->FormValue;
		$this->Causa_externa->CurrentValue = $this->Causa_externa->FormValue;
		$this->Codigo_diagnostico->CurrentValue = $this->Codigo_diagnostico->FormValue;
		$this->Tipo_doc->CurrentValue = $this->Tipo_doc->FormValue;
		$this->Edad->CurrentValue = $this->Edad->FormValue;
		$this->Unidad_edad->CurrentValue = $this->Unidad_edad->FormValue;
		$this->Sexo->CurrentValue = $this->Sexo->FormValue;
		$this->Zona_residencia->CurrentValue = $this->Zona_residencia->FormValue;
		$this->Codigo_eps->CurrentValue = $this->Codigo_eps->FormValue;
		$this->Tipo_Usuario->CurrentValue = $this->Tipo_Usuario->FormValue;
		$this->Causa_Completa->CurrentValue = $this->Causa_Completa->FormValue;
		$this->Letra->CurrentValue = $this->Letra->FormValue;
		$this->Numero->CurrentValue = $this->Numero->FormValue;
		$this->Codigo_tres->CurrentValue = $this->Codigo_tres->FormValue;
		$this->Titulo_codigo_tres->CurrentValue = $this->Titulo_codigo_tres->FormValue;
		$this->Contador->CurrentValue = $this->Contador->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Id_tabla->setDbValue($rs->fields('Id_tabla'));
		$this->Codigo_prestador->setDbValue($rs->fields('Codigo_prestador'));
		$this->Tipo_id_usuario->setDbValue($rs->fields('Tipo_id_usuario'));
		$this->Numero_id_usuario->setDbValue($rs->fields('Numero_id_usuario'));
		$this->Fecha_consulta->setDbValue($rs->fields('Fecha_consulta'));
		$this->Finalidad_consulta->setDbValue($rs->fields('Finalidad_consulta'));
		$this->Causa_externa->setDbValue($rs->fields('Causa_externa'));
		$this->Codigo_diagnostico->setDbValue($rs->fields('Codigo_diagnostico'));
		$this->Tipo_doc->setDbValue($rs->fields('Tipo_doc'));
		$this->Edad->setDbValue($rs->fields('Edad'));
		$this->Unidad_edad->setDbValue($rs->fields('Unidad_edad'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Zona_residencia->setDbValue($rs->fields('Zona_residencia'));
		$this->Codigo_eps->setDbValue($rs->fields('Codigo_eps'));
		$this->Tipo_Usuario->setDbValue($rs->fields('Tipo_Usuario'));
		$this->Causa_Completa->setDbValue($rs->fields('Causa_Completa'));
		$this->Letra->setDbValue($rs->fields('Letra'));
		$this->Numero->setDbValue($rs->fields('Numero'));
		$this->Codigo_tres->setDbValue($rs->fields('Codigo_tres'));
		$this->Titulo_codigo_tres->setDbValue($rs->fields('Titulo_codigo_tres'));
		$this->Contador->setDbValue($rs->fields('Contador'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Id_tabla->DbValue = $row['Id_tabla'];
		$this->Codigo_prestador->DbValue = $row['Codigo_prestador'];
		$this->Tipo_id_usuario->DbValue = $row['Tipo_id_usuario'];
		$this->Numero_id_usuario->DbValue = $row['Numero_id_usuario'];
		$this->Fecha_consulta->DbValue = $row['Fecha_consulta'];
		$this->Finalidad_consulta->DbValue = $row['Finalidad_consulta'];
		$this->Causa_externa->DbValue = $row['Causa_externa'];
		$this->Codigo_diagnostico->DbValue = $row['Codigo_diagnostico'];
		$this->Tipo_doc->DbValue = $row['Tipo_doc'];
		$this->Edad->DbValue = $row['Edad'];
		$this->Unidad_edad->DbValue = $row['Unidad_edad'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Zona_residencia->DbValue = $row['Zona_residencia'];
		$this->Codigo_eps->DbValue = $row['Codigo_eps'];
		$this->Tipo_Usuario->DbValue = $row['Tipo_Usuario'];
		$this->Causa_Completa->DbValue = $row['Causa_Completa'];
		$this->Letra->DbValue = $row['Letra'];
		$this->Numero->DbValue = $row['Numero'];
		$this->Codigo_tres->DbValue = $row['Codigo_tres'];
		$this->Titulo_codigo_tres->DbValue = $row['Titulo_codigo_tres'];
		$this->Contador->DbValue = $row['Contador'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// Id_tabla
		// Codigo_prestador
		// Tipo_id_usuario
		// Numero_id_usuario
		// Fecha_consulta
		// Finalidad_consulta
		// Causa_externa
		// Codigo_diagnostico
		// Tipo_doc
		// Edad
		// Unidad_edad
		// Sexo
		// Zona_residencia
		// Codigo_eps
		// Tipo_Usuario
		// Causa_Completa
		// Letra
		// Numero
		// Codigo_tres
		// Titulo_codigo_tres
		// Contador

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Id_tabla
		$this->Id_tabla->ViewValue = $this->Id_tabla->CurrentValue;
		$this->Id_tabla->ViewCustomAttributes = "";

		// Codigo_prestador
		$this->Codigo_prestador->ViewValue = $this->Codigo_prestador->CurrentValue;
		$this->Codigo_prestador->ViewCustomAttributes = "";

		// Tipo_id_usuario
		$this->Tipo_id_usuario->ViewValue = $this->Tipo_id_usuario->CurrentValue;
		$this->Tipo_id_usuario->ViewCustomAttributes = "";

		// Numero_id_usuario
		$this->Numero_id_usuario->ViewValue = $this->Numero_id_usuario->CurrentValue;
		$this->Numero_id_usuario->ViewCustomAttributes = "";

		// Fecha_consulta
		$this->Fecha_consulta->ViewValue = $this->Fecha_consulta->CurrentValue;
		$this->Fecha_consulta->ViewCustomAttributes = "";

		// Finalidad_consulta
		$this->Finalidad_consulta->ViewValue = $this->Finalidad_consulta->CurrentValue;
		$this->Finalidad_consulta->ViewCustomAttributes = "";

		// Causa_externa
		$this->Causa_externa->ViewValue = $this->Causa_externa->CurrentValue;
		$this->Causa_externa->ViewCustomAttributes = "";

		// Codigo_diagnostico
		$this->Codigo_diagnostico->ViewValue = $this->Codigo_diagnostico->CurrentValue;
		$this->Codigo_diagnostico->ViewCustomAttributes = "";

		// Tipo_doc
		$this->Tipo_doc->ViewValue = $this->Tipo_doc->CurrentValue;
		$this->Tipo_doc->ViewCustomAttributes = "";

		// Edad
		$this->Edad->ViewValue = $this->Edad->CurrentValue;
		$this->Edad->ViewCustomAttributes = "";

		// Unidad_edad
		$this->Unidad_edad->ViewValue = $this->Unidad_edad->CurrentValue;
		$this->Unidad_edad->ViewCustomAttributes = "";

		// Sexo
		$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
		$this->Sexo->ViewCustomAttributes = "";

		// Zona_residencia
		$this->Zona_residencia->ViewValue = $this->Zona_residencia->CurrentValue;
		$this->Zona_residencia->ViewCustomAttributes = "";

		// Codigo_eps
		$this->Codigo_eps->ViewValue = $this->Codigo_eps->CurrentValue;
		$this->Codigo_eps->ViewCustomAttributes = "";

		// Tipo_Usuario
		$this->Tipo_Usuario->ViewValue = $this->Tipo_Usuario->CurrentValue;
		$this->Tipo_Usuario->ViewCustomAttributes = "";

		// Causa_Completa
		$this->Causa_Completa->ViewValue = $this->Causa_Completa->CurrentValue;
		$this->Causa_Completa->ViewCustomAttributes = "";

		// Letra
		$this->Letra->ViewValue = $this->Letra->CurrentValue;
		$this->Letra->ViewCustomAttributes = "";

		// Numero
		$this->Numero->ViewValue = $this->Numero->CurrentValue;
		$this->Numero->ViewCustomAttributes = "";

		// Codigo_tres
		$this->Codigo_tres->ViewValue = $this->Codigo_tres->CurrentValue;
		$this->Codigo_tres->ViewCustomAttributes = "";

		// Titulo_codigo_tres
		$this->Titulo_codigo_tres->ViewValue = $this->Titulo_codigo_tres->CurrentValue;
		$this->Titulo_codigo_tres->ViewCustomAttributes = "";

		// Contador
		$this->Contador->ViewValue = $this->Contador->CurrentValue;
		$this->Contador->ViewCustomAttributes = "";

			// Id_tabla
			$this->Id_tabla->LinkCustomAttributes = "";
			$this->Id_tabla->HrefValue = "";
			$this->Id_tabla->TooltipValue = "";

			// Codigo_prestador
			$this->Codigo_prestador->LinkCustomAttributes = "";
			$this->Codigo_prestador->HrefValue = "";
			$this->Codigo_prestador->TooltipValue = "";

			// Tipo_id_usuario
			$this->Tipo_id_usuario->LinkCustomAttributes = "";
			$this->Tipo_id_usuario->HrefValue = "";
			$this->Tipo_id_usuario->TooltipValue = "";

			// Numero_id_usuario
			$this->Numero_id_usuario->LinkCustomAttributes = "";
			$this->Numero_id_usuario->HrefValue = "";
			$this->Numero_id_usuario->TooltipValue = "";

			// Fecha_consulta
			$this->Fecha_consulta->LinkCustomAttributes = "";
			$this->Fecha_consulta->HrefValue = "";
			$this->Fecha_consulta->TooltipValue = "";

			// Finalidad_consulta
			$this->Finalidad_consulta->LinkCustomAttributes = "";
			$this->Finalidad_consulta->HrefValue = "";
			$this->Finalidad_consulta->TooltipValue = "";

			// Causa_externa
			$this->Causa_externa->LinkCustomAttributes = "";
			$this->Causa_externa->HrefValue = "";
			$this->Causa_externa->TooltipValue = "";

			// Codigo_diagnostico
			$this->Codigo_diagnostico->LinkCustomAttributes = "";
			$this->Codigo_diagnostico->HrefValue = "";
			$this->Codigo_diagnostico->TooltipValue = "";

			// Tipo_doc
			$this->Tipo_doc->LinkCustomAttributes = "";
			$this->Tipo_doc->HrefValue = "";
			$this->Tipo_doc->TooltipValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";
			$this->Edad->TooltipValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";
			$this->Unidad_edad->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
			$this->Zona_residencia->TooltipValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";
			$this->Codigo_eps->TooltipValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";
			$this->Tipo_Usuario->TooltipValue = "";

			// Causa_Completa
			$this->Causa_Completa->LinkCustomAttributes = "";
			$this->Causa_Completa->HrefValue = "";
			$this->Causa_Completa->TooltipValue = "";

			// Letra
			$this->Letra->LinkCustomAttributes = "";
			$this->Letra->HrefValue = "";
			$this->Letra->TooltipValue = "";

			// Numero
			$this->Numero->LinkCustomAttributes = "";
			$this->Numero->HrefValue = "";
			$this->Numero->TooltipValue = "";

			// Codigo_tres
			$this->Codigo_tres->LinkCustomAttributes = "";
			$this->Codigo_tres->HrefValue = "";
			$this->Codigo_tres->TooltipValue = "";

			// Titulo_codigo_tres
			$this->Titulo_codigo_tres->LinkCustomAttributes = "";
			$this->Titulo_codigo_tres->HrefValue = "";
			$this->Titulo_codigo_tres->TooltipValue = "";

			// Contador
			$this->Contador->LinkCustomAttributes = "";
			$this->Contador->HrefValue = "";
			$this->Contador->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// Id_tabla
			$this->Id_tabla->EditAttrs["class"] = "form-control";
			$this->Id_tabla->EditCustomAttributes = "";
			$this->Id_tabla->EditValue = $this->Id_tabla->CurrentValue;
			$this->Id_tabla->ViewCustomAttributes = "";

			// Codigo_prestador
			$this->Codigo_prestador->EditAttrs["class"] = "form-control";
			$this->Codigo_prestador->EditCustomAttributes = "";
			$this->Codigo_prestador->EditValue = ew_HtmlEncode($this->Codigo_prestador->CurrentValue);
			$this->Codigo_prestador->PlaceHolder = ew_RemoveHtml($this->Codigo_prestador->FldCaption());

			// Tipo_id_usuario
			$this->Tipo_id_usuario->EditAttrs["class"] = "form-control";
			$this->Tipo_id_usuario->EditCustomAttributes = "";
			$this->Tipo_id_usuario->EditValue = ew_HtmlEncode($this->Tipo_id_usuario->CurrentValue);
			$this->Tipo_id_usuario->PlaceHolder = ew_RemoveHtml($this->Tipo_id_usuario->FldCaption());

			// Numero_id_usuario
			$this->Numero_id_usuario->EditAttrs["class"] = "form-control";
			$this->Numero_id_usuario->EditCustomAttributes = "";
			$this->Numero_id_usuario->EditValue = ew_HtmlEncode($this->Numero_id_usuario->CurrentValue);
			$this->Numero_id_usuario->PlaceHolder = ew_RemoveHtml($this->Numero_id_usuario->FldCaption());

			// Fecha_consulta
			$this->Fecha_consulta->EditAttrs["class"] = "form-control";
			$this->Fecha_consulta->EditCustomAttributes = "";
			$this->Fecha_consulta->EditValue = ew_HtmlEncode($this->Fecha_consulta->CurrentValue);
			$this->Fecha_consulta->PlaceHolder = ew_RemoveHtml($this->Fecha_consulta->FldCaption());

			// Finalidad_consulta
			$this->Finalidad_consulta->EditAttrs["class"] = "form-control";
			$this->Finalidad_consulta->EditCustomAttributes = "";
			$this->Finalidad_consulta->EditValue = ew_HtmlEncode($this->Finalidad_consulta->CurrentValue);
			$this->Finalidad_consulta->PlaceHolder = ew_RemoveHtml($this->Finalidad_consulta->FldCaption());

			// Causa_externa
			$this->Causa_externa->EditAttrs["class"] = "form-control";
			$this->Causa_externa->EditCustomAttributes = "";
			$this->Causa_externa->EditValue = ew_HtmlEncode($this->Causa_externa->CurrentValue);
			$this->Causa_externa->PlaceHolder = ew_RemoveHtml($this->Causa_externa->FldCaption());

			// Codigo_diagnostico
			$this->Codigo_diagnostico->EditAttrs["class"] = "form-control";
			$this->Codigo_diagnostico->EditCustomAttributes = "";
			$this->Codigo_diagnostico->EditValue = ew_HtmlEncode($this->Codigo_diagnostico->CurrentValue);
			$this->Codigo_diagnostico->PlaceHolder = ew_RemoveHtml($this->Codigo_diagnostico->FldCaption());

			// Tipo_doc
			$this->Tipo_doc->EditAttrs["class"] = "form-control";
			$this->Tipo_doc->EditCustomAttributes = "";
			$this->Tipo_doc->EditValue = ew_HtmlEncode($this->Tipo_doc->CurrentValue);
			$this->Tipo_doc->PlaceHolder = ew_RemoveHtml($this->Tipo_doc->FldCaption());

			// Edad
			$this->Edad->EditAttrs["class"] = "form-control";
			$this->Edad->EditCustomAttributes = "";
			$this->Edad->EditValue = ew_HtmlEncode($this->Edad->CurrentValue);
			$this->Edad->PlaceHolder = ew_RemoveHtml($this->Edad->FldCaption());

			// Unidad_edad
			$this->Unidad_edad->EditAttrs["class"] = "form-control";
			$this->Unidad_edad->EditCustomAttributes = "";
			$this->Unidad_edad->EditValue = ew_HtmlEncode($this->Unidad_edad->CurrentValue);
			$this->Unidad_edad->PlaceHolder = ew_RemoveHtml($this->Unidad_edad->FldCaption());

			// Sexo
			$this->Sexo->EditAttrs["class"] = "form-control";
			$this->Sexo->EditCustomAttributes = "";
			$this->Sexo->EditValue = ew_HtmlEncode($this->Sexo->CurrentValue);
			$this->Sexo->PlaceHolder = ew_RemoveHtml($this->Sexo->FldCaption());

			// Zona_residencia
			$this->Zona_residencia->EditAttrs["class"] = "form-control";
			$this->Zona_residencia->EditCustomAttributes = "";
			$this->Zona_residencia->EditValue = ew_HtmlEncode($this->Zona_residencia->CurrentValue);
			$this->Zona_residencia->PlaceHolder = ew_RemoveHtml($this->Zona_residencia->FldCaption());

			// Codigo_eps
			$this->Codigo_eps->EditAttrs["class"] = "form-control";
			$this->Codigo_eps->EditCustomAttributes = "";
			$this->Codigo_eps->EditValue = ew_HtmlEncode($this->Codigo_eps->CurrentValue);
			$this->Codigo_eps->PlaceHolder = ew_RemoveHtml($this->Codigo_eps->FldCaption());

			// Tipo_Usuario
			$this->Tipo_Usuario->EditAttrs["class"] = "form-control";
			$this->Tipo_Usuario->EditCustomAttributes = "";
			$this->Tipo_Usuario->EditValue = ew_HtmlEncode($this->Tipo_Usuario->CurrentValue);
			$this->Tipo_Usuario->PlaceHolder = ew_RemoveHtml($this->Tipo_Usuario->FldCaption());

			// Causa_Completa
			$this->Causa_Completa->EditAttrs["class"] = "form-control";
			$this->Causa_Completa->EditCustomAttributes = "";
			$this->Causa_Completa->EditValue = ew_HtmlEncode($this->Causa_Completa->CurrentValue);
			$this->Causa_Completa->PlaceHolder = ew_RemoveHtml($this->Causa_Completa->FldCaption());

			// Letra
			$this->Letra->EditAttrs["class"] = "form-control";
			$this->Letra->EditCustomAttributes = "";
			$this->Letra->EditValue = ew_HtmlEncode($this->Letra->CurrentValue);
			$this->Letra->PlaceHolder = ew_RemoveHtml($this->Letra->FldCaption());

			// Numero
			$this->Numero->EditAttrs["class"] = "form-control";
			$this->Numero->EditCustomAttributes = "";
			$this->Numero->EditValue = ew_HtmlEncode($this->Numero->CurrentValue);
			$this->Numero->PlaceHolder = ew_RemoveHtml($this->Numero->FldCaption());

			// Codigo_tres
			$this->Codigo_tres->EditAttrs["class"] = "form-control";
			$this->Codigo_tres->EditCustomAttributes = "";
			$this->Codigo_tres->EditValue = ew_HtmlEncode($this->Codigo_tres->CurrentValue);
			$this->Codigo_tres->PlaceHolder = ew_RemoveHtml($this->Codigo_tres->FldCaption());

			// Titulo_codigo_tres
			$this->Titulo_codigo_tres->EditAttrs["class"] = "form-control";
			$this->Titulo_codigo_tres->EditCustomAttributes = "";
			$this->Titulo_codigo_tres->EditValue = ew_HtmlEncode($this->Titulo_codigo_tres->CurrentValue);
			$this->Titulo_codigo_tres->PlaceHolder = ew_RemoveHtml($this->Titulo_codigo_tres->FldCaption());

			// Contador
			$this->Contador->EditAttrs["class"] = "form-control";
			$this->Contador->EditCustomAttributes = "";
			$this->Contador->EditValue = ew_HtmlEncode($this->Contador->CurrentValue);
			$this->Contador->PlaceHolder = ew_RemoveHtml($this->Contador->FldCaption());

			// Edit refer script
			// Id_tabla

			$this->Id_tabla->LinkCustomAttributes = "";
			$this->Id_tabla->HrefValue = "";

			// Codigo_prestador
			$this->Codigo_prestador->LinkCustomAttributes = "";
			$this->Codigo_prestador->HrefValue = "";

			// Tipo_id_usuario
			$this->Tipo_id_usuario->LinkCustomAttributes = "";
			$this->Tipo_id_usuario->HrefValue = "";

			// Numero_id_usuario
			$this->Numero_id_usuario->LinkCustomAttributes = "";
			$this->Numero_id_usuario->HrefValue = "";

			// Fecha_consulta
			$this->Fecha_consulta->LinkCustomAttributes = "";
			$this->Fecha_consulta->HrefValue = "";

			// Finalidad_consulta
			$this->Finalidad_consulta->LinkCustomAttributes = "";
			$this->Finalidad_consulta->HrefValue = "";

			// Causa_externa
			$this->Causa_externa->LinkCustomAttributes = "";
			$this->Causa_externa->HrefValue = "";

			// Codigo_diagnostico
			$this->Codigo_diagnostico->LinkCustomAttributes = "";
			$this->Codigo_diagnostico->HrefValue = "";

			// Tipo_doc
			$this->Tipo_doc->LinkCustomAttributes = "";
			$this->Tipo_doc->HrefValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";

			// Causa_Completa
			$this->Causa_Completa->LinkCustomAttributes = "";
			$this->Causa_Completa->HrefValue = "";

			// Letra
			$this->Letra->LinkCustomAttributes = "";
			$this->Letra->HrefValue = "";

			// Numero
			$this->Numero->LinkCustomAttributes = "";
			$this->Numero->HrefValue = "";

			// Codigo_tres
			$this->Codigo_tres->LinkCustomAttributes = "";
			$this->Codigo_tres->HrefValue = "";

			// Titulo_codigo_tres
			$this->Titulo_codigo_tres->LinkCustomAttributes = "";
			$this->Titulo_codigo_tres->HrefValue = "";

			// Contador
			$this->Contador->LinkCustomAttributes = "";
			$this->Contador->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!$this->Codigo_prestador->FldIsDetailKey && !is_null($this->Codigo_prestador->FormValue) && $this->Codigo_prestador->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Codigo_prestador->FldCaption(), $this->Codigo_prestador->ReqErrMsg));
		}
		if (!$this->Tipo_id_usuario->FldIsDetailKey && !is_null($this->Tipo_id_usuario->FormValue) && $this->Tipo_id_usuario->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Tipo_id_usuario->FldCaption(), $this->Tipo_id_usuario->ReqErrMsg));
		}
		if (!$this->Numero_id_usuario->FldIsDetailKey && !is_null($this->Numero_id_usuario->FormValue) && $this->Numero_id_usuario->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Numero_id_usuario->FldCaption(), $this->Numero_id_usuario->ReqErrMsg));
		}
		if (!$this->Fecha_consulta->FldIsDetailKey && !is_null($this->Fecha_consulta->FormValue) && $this->Fecha_consulta->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Fecha_consulta->FldCaption(), $this->Fecha_consulta->ReqErrMsg));
		}
		if (!$this->Finalidad_consulta->FldIsDetailKey && !is_null($this->Finalidad_consulta->FormValue) && $this->Finalidad_consulta->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Finalidad_consulta->FldCaption(), $this->Finalidad_consulta->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Finalidad_consulta->FormValue)) {
			ew_AddMessage($gsFormError, $this->Finalidad_consulta->FldErrMsg());
		}
		if (!ew_CheckInteger($this->Causa_externa->FormValue)) {
			ew_AddMessage($gsFormError, $this->Causa_externa->FldErrMsg());
		}
		if (!$this->Codigo_diagnostico->FldIsDetailKey && !is_null($this->Codigo_diagnostico->FormValue) && $this->Codigo_diagnostico->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Codigo_diagnostico->FldCaption(), $this->Codigo_diagnostico->ReqErrMsg));
		}
		if (!$this->Causa_Completa->FldIsDetailKey && !is_null($this->Causa_Completa->FormValue) && $this->Causa_Completa->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Causa_Completa->FldCaption(), $this->Causa_Completa->ReqErrMsg));
		}
		if (!$this->Letra->FldIsDetailKey && !is_null($this->Letra->FormValue) && $this->Letra->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Letra->FldCaption(), $this->Letra->ReqErrMsg));
		}
		if (!$this->Numero->FldIsDetailKey && !is_null($this->Numero->FormValue) && $this->Numero->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Numero->FldCaption(), $this->Numero->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Numero->FormValue)) {
			ew_AddMessage($gsFormError, $this->Numero->FldErrMsg());
		}
		if (!$this->Codigo_tres->FldIsDetailKey && !is_null($this->Codigo_tres->FormValue) && $this->Codigo_tres->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Codigo_tres->FldCaption(), $this->Codigo_tres->ReqErrMsg));
		}
		if (!$this->Titulo_codigo_tres->FldIsDetailKey && !is_null($this->Titulo_codigo_tres->FormValue) && $this->Titulo_codigo_tres->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Titulo_codigo_tres->FldCaption(), $this->Titulo_codigo_tres->ReqErrMsg));
		}
		if (!$this->Contador->FldIsDetailKey && !is_null($this->Contador->FormValue) && $this->Contador->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Contador->FldCaption(), $this->Contador->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Contador->FormValue)) {
			ew_AddMessage($gsFormError, $this->Contador->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$conn = &$this->Connection();
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold = &$rs->fields;
			$this->LoadDbValues($rsold);
			$rsnew = array();

			// Codigo_prestador
			$this->Codigo_prestador->SetDbValueDef($rsnew, $this->Codigo_prestador->CurrentValue, "", $this->Codigo_prestador->ReadOnly);

			// Tipo_id_usuario
			$this->Tipo_id_usuario->SetDbValueDef($rsnew, $this->Tipo_id_usuario->CurrentValue, "", $this->Tipo_id_usuario->ReadOnly);

			// Numero_id_usuario
			$this->Numero_id_usuario->SetDbValueDef($rsnew, $this->Numero_id_usuario->CurrentValue, "", $this->Numero_id_usuario->ReadOnly);

			// Fecha_consulta
			$this->Fecha_consulta->SetDbValueDef($rsnew, $this->Fecha_consulta->CurrentValue, "", $this->Fecha_consulta->ReadOnly);

			// Finalidad_consulta
			$this->Finalidad_consulta->SetDbValueDef($rsnew, $this->Finalidad_consulta->CurrentValue, 0, $this->Finalidad_consulta->ReadOnly);

			// Causa_externa
			$this->Causa_externa->SetDbValueDef($rsnew, $this->Causa_externa->CurrentValue, NULL, $this->Causa_externa->ReadOnly);

			// Codigo_diagnostico
			$this->Codigo_diagnostico->SetDbValueDef($rsnew, $this->Codigo_diagnostico->CurrentValue, "", $this->Codigo_diagnostico->ReadOnly);

			// Tipo_doc
			$this->Tipo_doc->SetDbValueDef($rsnew, $this->Tipo_doc->CurrentValue, NULL, $this->Tipo_doc->ReadOnly);

			// Edad
			$this->Edad->SetDbValueDef($rsnew, $this->Edad->CurrentValue, NULL, $this->Edad->ReadOnly);

			// Unidad_edad
			$this->Unidad_edad->SetDbValueDef($rsnew, $this->Unidad_edad->CurrentValue, NULL, $this->Unidad_edad->ReadOnly);

			// Sexo
			$this->Sexo->SetDbValueDef($rsnew, $this->Sexo->CurrentValue, NULL, $this->Sexo->ReadOnly);

			// Zona_residencia
			$this->Zona_residencia->SetDbValueDef($rsnew, $this->Zona_residencia->CurrentValue, NULL, $this->Zona_residencia->ReadOnly);

			// Codigo_eps
			$this->Codigo_eps->SetDbValueDef($rsnew, $this->Codigo_eps->CurrentValue, NULL, $this->Codigo_eps->ReadOnly);

			// Tipo_Usuario
			$this->Tipo_Usuario->SetDbValueDef($rsnew, $this->Tipo_Usuario->CurrentValue, NULL, $this->Tipo_Usuario->ReadOnly);

			// Causa_Completa
			$this->Causa_Completa->SetDbValueDef($rsnew, $this->Causa_Completa->CurrentValue, "", $this->Causa_Completa->ReadOnly);

			// Letra
			$this->Letra->SetDbValueDef($rsnew, $this->Letra->CurrentValue, "", $this->Letra->ReadOnly);

			// Numero
			$this->Numero->SetDbValueDef($rsnew, $this->Numero->CurrentValue, 0, $this->Numero->ReadOnly);

			// Codigo_tres
			$this->Codigo_tres->SetDbValueDef($rsnew, $this->Codigo_tres->CurrentValue, "", $this->Codigo_tres->ReadOnly);

			// Titulo_codigo_tres
			$this->Titulo_codigo_tres->SetDbValueDef($rsnew, $this->Titulo_codigo_tres->CurrentValue, "", $this->Titulo_codigo_tres->ReadOnly);

			// Contador
			$this->Contador->SetDbValueDef($rsnew, $this->Contador->CurrentValue, 0, $this->Contador->ReadOnly);

			// Call Row Updating event
			$bUpdateRow = $this->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				if (count($rsnew) > 0)
					$EditRow = $this->Update($rsnew, "", $rsold);
				else
					$EditRow = TRUE; // No field to update
				$conn->raiseErrorFn = '';
				if ($EditRow) {
				}
			} else {
				if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

					// Use the message, do nothing
				} elseif ($this->CancelMessage <> "") {
					$this->setFailureMessage($this->CancelMessage);
					$this->CancelMessage = "";
				} else {
					$this->setFailureMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$this->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("consulta_2019list.php"), "", $this->TableVar, TRUE);
		$PageId = "edit";
		$Breadcrumb->Add("edit", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($consulta_2019_edit)) $consulta_2019_edit = new cconsulta_2019_edit();

// Page init
$consulta_2019_edit->Page_Init();

// Page main
$consulta_2019_edit->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$consulta_2019_edit->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "edit";
var CurrentForm = fconsulta_2019edit = new ew_Form("fconsulta_2019edit", "edit");

// Validate form
fconsulta_2019edit.Validate = function() {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	var $ = jQuery, fobj = this.GetForm(), $fobj = $(fobj);
	if ($fobj.find("#a_confirm").val() == "F")
		return true;
	var elm, felm, uelm, addcnt = 0;
	var $k = $fobj.find("#" + this.FormKeyCountName); // Get key_count
	var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
	var gridinsert = $fobj.find("#a_list").val() == "gridinsert";
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = ($k[0]) ? String(i) : "";
		$fobj.data("rowindex", infix);
			elm = this.GetElements("x" + infix + "_Codigo_prestador");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Codigo_prestador->FldCaption(), $consulta_2019->Codigo_prestador->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Tipo_id_usuario");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Tipo_id_usuario->FldCaption(), $consulta_2019->Tipo_id_usuario->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Numero_id_usuario");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Numero_id_usuario->FldCaption(), $consulta_2019->Numero_id_usuario->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Fecha_consulta");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Fecha_consulta->FldCaption(), $consulta_2019->Fecha_consulta->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Finalidad_consulta");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Finalidad_consulta->FldCaption(), $consulta_2019->Finalidad_consulta->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Finalidad_consulta");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($consulta_2019->Finalidad_consulta->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Causa_externa");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($consulta_2019->Causa_externa->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Codigo_diagnostico");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Codigo_diagnostico->FldCaption(), $consulta_2019->Codigo_diagnostico->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Causa_Completa");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Causa_Completa->FldCaption(), $consulta_2019->Causa_Completa->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Letra");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Letra->FldCaption(), $consulta_2019->Letra->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Numero");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Numero->FldCaption(), $consulta_2019->Numero->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Numero");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($consulta_2019->Numero->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Codigo_tres");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Codigo_tres->FldCaption(), $consulta_2019->Codigo_tres->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Titulo_codigo_tres");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Titulo_codigo_tres->FldCaption(), $consulta_2019->Titulo_codigo_tres->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Contador");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $consulta_2019->Contador->FldCaption(), $consulta_2019->Contador->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Contador");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($consulta_2019->Contador->FldErrMsg()) ?>");

			// Fire Form_CustomValidate event
			if (!this.Form_CustomValidate(fobj))
				return false;
	}

	// Process detail forms
	var dfs = $fobj.find("input[name='detailpage']").get();
	for (var i = 0; i < dfs.length; i++) {
		var df = dfs[i], val = df.value;
		if (val && ewForms[val])
			if (!ewForms[val].Validate())
				return false;
	}
	return true;
}

// Form_CustomValidate event
fconsulta_2019edit.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fconsulta_2019edit.ValidateRequired = true;
<?php } else { ?>
fconsulta_2019edit.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $consulta_2019_edit->ShowPageHeader(); ?>
<?php
$consulta_2019_edit->ShowMessage();
?>
<form name="fconsulta_2019edit" id="fconsulta_2019edit" class="<?php echo $consulta_2019_edit->FormClassName ?>" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($consulta_2019_edit->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $consulta_2019_edit->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="consulta_2019">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<div>
<?php if ($consulta_2019->Id_tabla->Visible) { // Id_tabla ?>
	<div id="r_Id_tabla" class="form-group">
		<label id="elh_consulta_2019_Id_tabla" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Id_tabla->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Id_tabla->CellAttributes() ?>>
<span id="el_consulta_2019_Id_tabla">
<span<?php echo $consulta_2019->Id_tabla->ViewAttributes() ?>>
<p class="form-control-static"><?php echo $consulta_2019->Id_tabla->EditValue ?></p></span>
</span>
<input type="hidden" data-table="consulta_2019" data-field="x_Id_tabla" name="x_Id_tabla" id="x_Id_tabla" value="<?php echo ew_HtmlEncode($consulta_2019->Id_tabla->CurrentValue) ?>">
<?php echo $consulta_2019->Id_tabla->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Codigo_prestador->Visible) { // Codigo_prestador ?>
	<div id="r_Codigo_prestador" class="form-group">
		<label id="elh_consulta_2019_Codigo_prestador" for="x_Codigo_prestador" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Codigo_prestador->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Codigo_prestador->CellAttributes() ?>>
<span id="el_consulta_2019_Codigo_prestador">
<input type="text" data-table="consulta_2019" data-field="x_Codigo_prestador" name="x_Codigo_prestador" id="x_Codigo_prestador" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Codigo_prestador->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Codigo_prestador->EditValue ?>"<?php echo $consulta_2019->Codigo_prestador->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Codigo_prestador->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Tipo_id_usuario->Visible) { // Tipo_id_usuario ?>
	<div id="r_Tipo_id_usuario" class="form-group">
		<label id="elh_consulta_2019_Tipo_id_usuario" for="x_Tipo_id_usuario" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Tipo_id_usuario->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Tipo_id_usuario->CellAttributes() ?>>
<span id="el_consulta_2019_Tipo_id_usuario">
<input type="text" data-table="consulta_2019" data-field="x_Tipo_id_usuario" name="x_Tipo_id_usuario" id="x_Tipo_id_usuario" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Tipo_id_usuario->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Tipo_id_usuario->EditValue ?>"<?php echo $consulta_2019->Tipo_id_usuario->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Tipo_id_usuario->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Numero_id_usuario->Visible) { // Numero_id_usuario ?>
	<div id="r_Numero_id_usuario" class="form-group">
		<label id="elh_consulta_2019_Numero_id_usuario" for="x_Numero_id_usuario" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Numero_id_usuario->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Numero_id_usuario->CellAttributes() ?>>
<span id="el_consulta_2019_Numero_id_usuario">
<input type="text" data-table="consulta_2019" data-field="x_Numero_id_usuario" name="x_Numero_id_usuario" id="x_Numero_id_usuario" size="30" maxlength="20" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Numero_id_usuario->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Numero_id_usuario->EditValue ?>"<?php echo $consulta_2019->Numero_id_usuario->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Numero_id_usuario->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Fecha_consulta->Visible) { // Fecha_consulta ?>
	<div id="r_Fecha_consulta" class="form-group">
		<label id="elh_consulta_2019_Fecha_consulta" for="x_Fecha_consulta" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Fecha_consulta->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Fecha_consulta->CellAttributes() ?>>
<span id="el_consulta_2019_Fecha_consulta">
<input type="text" data-table="consulta_2019" data-field="x_Fecha_consulta" name="x_Fecha_consulta" id="x_Fecha_consulta" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Fecha_consulta->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Fecha_consulta->EditValue ?>"<?php echo $consulta_2019->Fecha_consulta->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Fecha_consulta->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Finalidad_consulta->Visible) { // Finalidad_consulta ?>
	<div id="r_Finalidad_consulta" class="form-group">
		<label id="elh_consulta_2019_Finalidad_consulta" for="x_Finalidad_consulta" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Finalidad_consulta->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Finalidad_consulta->CellAttributes() ?>>
<span id="el_consulta_2019_Finalidad_consulta">
<input type="text" data-table="consulta_2019" data-field="x_Finalidad_consulta" name="x_Finalidad_consulta" id="x_Finalidad_consulta" size="30" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Finalidad_consulta->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Finalidad_consulta->EditValue ?>"<?php echo $consulta_2019->Finalidad_consulta->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Finalidad_consulta->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Causa_externa->Visible) { // Causa_externa ?>
	<div id="r_Causa_externa" class="form-group">
		<label id="elh_consulta_2019_Causa_externa" for="x_Causa_externa" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Causa_externa->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Causa_externa->CellAttributes() ?>>
<span id="el_consulta_2019_Causa_externa">
<input type="text" data-table="consulta_2019" data-field="x_Causa_externa" name="x_Causa_externa" id="x_Causa_externa" size="30" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Causa_externa->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Causa_externa->EditValue ?>"<?php echo $consulta_2019->Causa_externa->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Causa_externa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Codigo_diagnostico->Visible) { // Codigo_diagnostico ?>
	<div id="r_Codigo_diagnostico" class="form-group">
		<label id="elh_consulta_2019_Codigo_diagnostico" for="x_Codigo_diagnostico" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Codigo_diagnostico->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Codigo_diagnostico->CellAttributes() ?>>
<span id="el_consulta_2019_Codigo_diagnostico">
<input type="text" data-table="consulta_2019" data-field="x_Codigo_diagnostico" name="x_Codigo_diagnostico" id="x_Codigo_diagnostico" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Codigo_diagnostico->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Codigo_diagnostico->EditValue ?>"<?php echo $consulta_2019->Codigo_diagnostico->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Codigo_diagnostico->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Tipo_doc->Visible) { // Tipo_doc ?>
	<div id="r_Tipo_doc" class="form-group">
		<label id="elh_consulta_2019_Tipo_doc" for="x_Tipo_doc" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Tipo_doc->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Tipo_doc->CellAttributes() ?>>
<span id="el_consulta_2019_Tipo_doc">
<input type="text" data-table="consulta_2019" data-field="x_Tipo_doc" name="x_Tipo_doc" id="x_Tipo_doc" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Tipo_doc->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Tipo_doc->EditValue ?>"<?php echo $consulta_2019->Tipo_doc->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Tipo_doc->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Edad->Visible) { // Edad ?>
	<div id="r_Edad" class="form-group">
		<label id="elh_consulta_2019_Edad" for="x_Edad" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Edad->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Edad->CellAttributes() ?>>
<span id="el_consulta_2019_Edad">
<input type="text" data-table="consulta_2019" data-field="x_Edad" name="x_Edad" id="x_Edad" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Edad->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Edad->EditValue ?>"<?php echo $consulta_2019->Edad->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Edad->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Unidad_edad->Visible) { // Unidad_edad ?>
	<div id="r_Unidad_edad" class="form-group">
		<label id="elh_consulta_2019_Unidad_edad" for="x_Unidad_edad" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Unidad_edad->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Unidad_edad->CellAttributes() ?>>
<span id="el_consulta_2019_Unidad_edad">
<input type="text" data-table="consulta_2019" data-field="x_Unidad_edad" name="x_Unidad_edad" id="x_Unidad_edad" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Unidad_edad->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Unidad_edad->EditValue ?>"<?php echo $consulta_2019->Unidad_edad->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Unidad_edad->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Sexo->Visible) { // Sexo ?>
	<div id="r_Sexo" class="form-group">
		<label id="elh_consulta_2019_Sexo" for="x_Sexo" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Sexo->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Sexo->CellAttributes() ?>>
<span id="el_consulta_2019_Sexo">
<input type="text" data-table="consulta_2019" data-field="x_Sexo" name="x_Sexo" id="x_Sexo" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Sexo->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Sexo->EditValue ?>"<?php echo $consulta_2019->Sexo->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Sexo->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Zona_residencia->Visible) { // Zona_residencia ?>
	<div id="r_Zona_residencia" class="form-group">
		<label id="elh_consulta_2019_Zona_residencia" for="x_Zona_residencia" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Zona_residencia->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Zona_residencia->CellAttributes() ?>>
<span id="el_consulta_2019_Zona_residencia">
<input type="text" data-table="consulta_2019" data-field="x_Zona_residencia" name="x_Zona_residencia" id="x_Zona_residencia" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Zona_residencia->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Zona_residencia->EditValue ?>"<?php echo $consulta_2019->Zona_residencia->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Zona_residencia->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Codigo_eps->Visible) { // Codigo_eps ?>
	<div id="r_Codigo_eps" class="form-group">
		<label id="elh_consulta_2019_Codigo_eps" for="x_Codigo_eps" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Codigo_eps->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Codigo_eps->CellAttributes() ?>>
<span id="el_consulta_2019_Codigo_eps">
<input type="text" data-table="consulta_2019" data-field="x_Codigo_eps" name="x_Codigo_eps" id="x_Codigo_eps" size="30" maxlength="20" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Codigo_eps->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Codigo_eps->EditValue ?>"<?php echo $consulta_2019->Codigo_eps->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Codigo_eps->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
	<div id="r_Tipo_Usuario" class="form-group">
		<label id="elh_consulta_2019_Tipo_Usuario" for="x_Tipo_Usuario" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Tipo_Usuario->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Tipo_Usuario->CellAttributes() ?>>
<span id="el_consulta_2019_Tipo_Usuario">
<input type="text" data-table="consulta_2019" data-field="x_Tipo_Usuario" name="x_Tipo_Usuario" id="x_Tipo_Usuario" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Tipo_Usuario->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Tipo_Usuario->EditValue ?>"<?php echo $consulta_2019->Tipo_Usuario->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Tipo_Usuario->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Causa_Completa->Visible) { // Causa_Completa ?>
	<div id="r_Causa_Completa" class="form-group">
		<label id="elh_consulta_2019_Causa_Completa" for="x_Causa_Completa" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Causa_Completa->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Causa_Completa->CellAttributes() ?>>
<span id="el_consulta_2019_Causa_Completa">
<input type="text" data-table="consulta_2019" data-field="x_Causa_Completa" name="x_Causa_Completa" id="x_Causa_Completa" size="30" maxlength="210" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Causa_Completa->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Causa_Completa->EditValue ?>"<?php echo $consulta_2019->Causa_Completa->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Causa_Completa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Letra->Visible) { // Letra ?>
	<div id="r_Letra" class="form-group">
		<label id="elh_consulta_2019_Letra" for="x_Letra" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Letra->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Letra->CellAttributes() ?>>
<span id="el_consulta_2019_Letra">
<input type="text" data-table="consulta_2019" data-field="x_Letra" name="x_Letra" id="x_Letra" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Letra->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Letra->EditValue ?>"<?php echo $consulta_2019->Letra->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Letra->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Numero->Visible) { // Numero ?>
	<div id="r_Numero" class="form-group">
		<label id="elh_consulta_2019_Numero" for="x_Numero" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Numero->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Numero->CellAttributes() ?>>
<span id="el_consulta_2019_Numero">
<input type="text" data-table="consulta_2019" data-field="x_Numero" name="x_Numero" id="x_Numero" size="30" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Numero->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Numero->EditValue ?>"<?php echo $consulta_2019->Numero->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Numero->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Codigo_tres->Visible) { // Codigo_tres ?>
	<div id="r_Codigo_tres" class="form-group">
		<label id="elh_consulta_2019_Codigo_tres" for="x_Codigo_tres" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Codigo_tres->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Codigo_tres->CellAttributes() ?>>
<span id="el_consulta_2019_Codigo_tres">
<input type="text" data-table="consulta_2019" data-field="x_Codigo_tres" name="x_Codigo_tres" id="x_Codigo_tres" size="30" maxlength="10" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Codigo_tres->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Codigo_tres->EditValue ?>"<?php echo $consulta_2019->Codigo_tres->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Codigo_tres->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Titulo_codigo_tres->Visible) { // Titulo_codigo_tres ?>
	<div id="r_Titulo_codigo_tres" class="form-group">
		<label id="elh_consulta_2019_Titulo_codigo_tres" for="x_Titulo_codigo_tres" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Titulo_codigo_tres->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Titulo_codigo_tres->CellAttributes() ?>>
<span id="el_consulta_2019_Titulo_codigo_tres">
<input type="text" data-table="consulta_2019" data-field="x_Titulo_codigo_tres" name="x_Titulo_codigo_tres" id="x_Titulo_codigo_tres" size="30" maxlength="190" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Titulo_codigo_tres->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Titulo_codigo_tres->EditValue ?>"<?php echo $consulta_2019->Titulo_codigo_tres->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Titulo_codigo_tres->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($consulta_2019->Contador->Visible) { // Contador ?>
	<div id="r_Contador" class="form-group">
		<label id="elh_consulta_2019_Contador" for="x_Contador" class="col-sm-2 control-label ewLabel"><?php echo $consulta_2019->Contador->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $consulta_2019->Contador->CellAttributes() ?>>
<span id="el_consulta_2019_Contador">
<input type="text" data-table="consulta_2019" data-field="x_Contador" name="x_Contador" id="x_Contador" size="30" placeholder="<?php echo ew_HtmlEncode($consulta_2019->Contador->getPlaceHolder()) ?>" value="<?php echo $consulta_2019->Contador->EditValue ?>"<?php echo $consulta_2019->Contador->EditAttributes() ?>>
</span>
<?php echo $consulta_2019->Contador->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div>
<div class="form-group">
	<div class="col-sm-offset-2 col-sm-10">
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("SaveBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $consulta_2019_edit->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
	</div>
</div>
</form>
<script type="text/javascript">
fconsulta_2019edit.Init();
</script>
<?php
$consulta_2019_edit->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$consulta_2019_edit->Page_Terminate();
?>
